> For the complete documentation index, see [llms.txt](https://docs.soraco.co/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.soraco.co/docs/api-reference/.net-api/iqlmanalytics/methods/updateinstall.md).

# UpdateInstall

### Description

Updates information of a registered installation on the server.

Note that to call this function, you must initialize the QlmAnalytics object with the following properties:

* WebServiceUrl
* CommunicationEncryptionKey
* GUID (persistence key)

```csharp
bool UpdateInstall(string installID, string softwareVersion, 
                   string osVersion, string computerName, 
                   string computerID, string activationKey, 
                   string computerKey, bool trial, 
                   string productName, 
                   int majorVersion, int minorVersion).
```

### Parameters

| Parameter       |  Type  | Description                                                              |
| --------------- | :----: | ------------------------------------------------------------------------ |
| installID       | string | unique identifier of this installation, returned by a call to AddInstall |
| softwareVersion | string | version of your software                                                 |
| osVersion       | string | version of the operating system                                          |
| computerName    | string | name of the computer.                                                    |
| computerID      | string | unique computer identifier                                               |
| activationKey   | string | activation key on the system                                             |
| computerKey     | string | computer key associated with the system                                  |
| trial           |  bool  | flag indicating if the license is a trial                                |
| productName     | string | name of your product                                                     |
| majorVersion    |   int  | major version of your product                                            |
| minorVersion    |   int  | minor version of your product                                            |

### Return

| Type    | Description                                             |
| ------- | ------------------------------------------------------- |
| Boolean | true if the operation was successful; otherwise, false. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmanalytics/methods/updateinstall.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
